Page MenuHomePhabricator

Metadata (author, edit comment, navigation links etc) not shown in historic visual diff
Closed, ResolvedPublic1 Estimated Story Points

Description

When you switch to a historic visual diff, the metadata on top is hidden. It would be nice to see the author of the change and their edit comment, as well as the navigation links for the previous and next change, and the link to revert the change.
On the other hand, note that for wikis with FlaggedRevs (e.g. de.wikipedia) the metadata about whether the edit is flagged or not is shown even for visual diffs, but still assuming a two column view.

Specifically, this information is omitted:

Event Timeline

Schnark created this task.Feb 17 2018, 10:23 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 17 2018, 10:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Medium priority.Feb 20 2018, 7:49 PM
Deskana updated the task description. (Show Details)
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 416355 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Show revision info on historical diffs

https://gerrit.wikimedia.org/r/416355

Esanders claimed this task.Mar 4 2018, 10:48 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 416355 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Show revision info on historical diffs

https://gerrit.wikimedia.org/r/416355

Deskana closed this task as Resolved.Apr 23 2018, 9:55 AM